sdr::BufferOwner Class Referenceabstract

Abstract class (interface) of a buffer owner. More...

`#include <buffer.hh>`

Inheritance diagram for sdr::BufferOwner:

## Public Member Functions

virtual void | bufferUnused (const RawBuffer &buffer)=0
| Gets called once an owned buffer gets unused. More...

## Detailed Description

Abstract class (interface) of a buffer owner.

If a buffer is owned, the owner gets notified once the buffer gets unused.

## Member Function Documentation

virtual void sdr::BufferOwner::bufferUnused | ( | const RawBuffer & | buffer | ) |

pure virtual

Gets called once an owned buffer gets unused.

Implemented in sdr::BufferSet< Scalar >, and sdr::BufferSet< std::complex< Scalar > >.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/buffer.hh